import request from "@/utils/request";
import {BASE} from "./apiGateway";
var server = process.env.VUE_APP_BASE_API;
let fileApi = {
	//文件流上传文件
	upload_stream_video: function(data) {
		return request({
			url: `${BASE}/open/fileUpload/upload_stream_video`,
			method: "post",
			data: data,
			contentType: false,
			transformRequest:[data=>data],
			processData: false,
            headers:{'Content-Type': 'multipart/form-data','cache': 'false','processData': 'false'}  
		});
	},
	// 文件流上传文件
	uploadStream: function(data) {
		return request({
			url: `${BASE}/open/fileUpload/upload_stream`,
			method: "post",
			data: data,
			transformRequest:[data=>data],
			processData: false,
            headers:{'Content-Type': 'multipart/form-data','cache': 'false','processData': 'false'}  
		});
	}
};

export default fileApi;
